{
  "format_version": "1.10.0",
  "minecraft:client_entity": {
    "description": {
      "identifier": "nicothekid:nether_wisp",
      "textures": {
        "nether_wisp_variant_0": "textures/entity/nicos_mobs/nether_wisp/nicothekid_nether_wisp",
        "nether_wisp_soul_variant_1": "textures/entity/nicos_mobs/nether_wisp/nicothekid_nether_wisp_soul"
      },
      "spawn_egg": {
        "base_color": "#EABF36",
        "overlay_color": "#CA6C00"
      },
      "geometry": {
        "default": "geometry.entity.nicothekid_nether_wisp"
      },
      "materials": {
        "default": "nether_wisp",
        "invisible": "nether_wisp_invisible"
      },
      "particle_effects": {
				"nether_wisp_particle": "nicothekid:nether_wisp_particle",
				"nether_wisp_soul_particle": "nicothekid:nether_wisp_soul_particle"
			},
      "render_controllers": [
        "controller.render.nicothekid_nether_wisp"
      ],
      "animations": {
        "floating": "animation.nicothekid_nether_wisp.floating",
        "look_at_target": "animation.nicothekid_nether_wisp.look_at_target",
        "controller_movement": "controller.animation.nicothekid_nether_wisp.movement",
        "controller_particles": "controller.animation.nicothekid_nether_wisp.particles"
      },
      "scripts": {
        "animate": [
          "look_at_target",
          "controller_movement",
          "controller_particles"
        ]
      }
    }
  }
}